pydo.addons.list()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.addons.list()
Returns JSONRaises HttpResponseError

Description

To fetch all Add-On Resources under your team, send a GET request to /v2/add-ons/saas.

Response Example

Show Response Example
{
  "resources": [
    {
      "uuid": "123e4567-e89b-12d3-a456-426614174000",
      "name": "my-resource-01",
      "state": "provisioned",
      "app_name": "Example App",
      "app_slug": "example_app",
      "plan_name": "Basic Plan",
      "plan_slug": "basic_plan",
      "plan_price_per_month": 10,
      "has_config": true,
      "metadata": [],
      "sso_url": "https://example.com/sso",
      "message": "Resource is provisioned successfully."
    }
  ]
}

More Information

See /v2/add-ons/saas in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.